﻿//------------------------------------------------------------------------------
// <autogenerated>
//     This code was generated by a tool.
//     Runtime Version: 1.1.4322.2470
//
//     Changes to this file may cause incorrect behavior and will be lost if 
//     the code is regenerated.
// </autogenerated>
//------------------------------------------------------------------------------

namespace TIES.WebUI {
    using System;
    using System.Data;
    using System.Xml;
    using System.Runtime.Serialization;
    
    
    [Serializable()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Diagnostics.DebuggerStepThrough()]
    [System.ComponentModel.ToolboxItem(true)]
    public class DSShippingReport : DataSet {
        
        private DSShippingReportDataTable tableDSShippingReport;
        
        public DSShippingReport() {
            this.InitClass();
            System.ComponentModel.CollectionChangeEventHandler schemaChangedHandler = new System.ComponentModel.CollectionChangeEventHandler(this.SchemaChanged);
            this.Tables.CollectionChanged += schemaChangedHandler;
            this.Relations.CollectionChanged += schemaChangedHandler;
        }
        
        protected DSShippingReport(SerializationInfo info, StreamingContext context) {
            string strSchema = ((string)(info.GetValue("XmlSchema", typeof(string))));
            if ((strSchema != null)) {
                DataSet ds = new DataSet();
                ds.ReadXmlSchema(new XmlTextReader(new System.IO.StringReader(strSchema)));
                if ((ds.Tables["DSShippingReport"] != null)) {
                    this.Tables.Add(new DSShippingReportDataTable(ds.Tables["DSShippingReport"]));
                }
                this.DataSetName = ds.DataSetName;
                this.Prefix = ds.Prefix;
                this.Namespace = ds.Namespace;
                this.Locale = ds.Locale;
                this.CaseSensitive = ds.CaseSensitive;
                this.EnforceConstraints = ds.EnforceConstraints;
                this.Merge(ds, false, System.Data.MissingSchemaAction.Add);
                this.InitVars();
            }
            else {
                this.InitClass();
            }
            this.GetSerializationData(info, context);
            System.ComponentModel.CollectionChangeEventHandler schemaChangedHandler = new System.ComponentModel.CollectionChangeEventHandler(this.SchemaChanged);
            this.Tables.CollectionChanged += schemaChangedHandler;
            this.Relations.CollectionChanged += schemaChangedHandler;
        }
        
        [System.ComponentModel.Browsable(false)]
        [System.ComponentModel.DesignerSerializationVisibilityAttribute(System.ComponentModel.DesignerSerializationVisibility.Content)]
        public DSShippingReportDataTable DSShippingReportDT {
            get {
                return this.tableDSShippingReport;
            }
        }
        
        public override DataSet Clone() {
            DSShippingReport cln = ((DSShippingReport)(base.Clone()));
            cln.InitVars();
            return cln;
        }
        
        protected override bool ShouldSerializeTables() {
            return false;
        }
        
        protected override bool ShouldSerializeRelations() {
            return false;
        }
        
        protected override void ReadXmlSerializable(XmlReader reader) {
            this.Reset();
            DataSet ds = new DataSet();
            ds.ReadXml(reader);
            if ((ds.Tables["DSShippingReport"] != null)) {
                this.Tables.Add(new DSShippingReportDataTable(ds.Tables["DSShippingReport"]));
            }
            this.DataSetName = ds.DataSetName;
            this.Prefix = ds.Prefix;
            this.Namespace = ds.Namespace;
            this.Locale = ds.Locale;
            this.CaseSensitive = ds.CaseSensitive;
            this.EnforceConstraints = ds.EnforceConstraints;
            this.Merge(ds, false, System.Data.MissingSchemaAction.Add);
            this.InitVars();
        }
        
        protected override System.Xml.Schema.XmlSchema GetSchemaSerializable() {
            System.IO.MemoryStream stream = new System.IO.MemoryStream();
            this.WriteXmlSchema(new XmlTextWriter(stream, null));
            stream.Position = 0;
            return System.Xml.Schema.XmlSchema.Read(new XmlTextReader(stream), null);
        }
        
        internal void InitVars() {
            this.tableDSShippingReport = ((DSShippingReportDataTable)(this.Tables["DSShippingReport"]));
            if ((this.tableDSShippingReport != null)) {
                this.tableDSShippingReport.InitVars();
            }
        }
        
        private void InitClass() {
            this.DataSetName = "DSShippingReport";
            this.Prefix = "";
            this.Namespace = "http://tempuri.org/DSShippingReport.xsd";
            this.Locale = new System.Globalization.CultureInfo("en-US");
            this.CaseSensitive = false;
            this.EnforceConstraints = true;
            this.tableDSShippingReport = new DSShippingReportDataTable();
            this.Tables.Add(this.tableDSShippingReport);
        }
        
        private bool ShouldSerializeDSShippingReport() {
            return false;
        }
        
        private void SchemaChanged(object sender, System.ComponentModel.CollectionChangeEventArgs e) {
            if ((e.Action == System.ComponentModel.CollectionChangeAction.Remove)) {
                this.InitVars();
            }
        }
        
        public delegate void DSShippingReportRowChangeEventHandler(object sender, DSShippingReportRowChangeEvent e);
        
        [System.Diagnostics.DebuggerStepThrough()]
        public class DSShippingReportDataTable : DataTable, System.Collections.IEnumerable {
            
            private DataColumn columnconsignment_no;
            
            private DataColumn columnpackage_no;
            
            private DataColumn columnstatus_code;
            
            private DataColumn columnscanned_in_datetime;
            
            private DataColumn columndc_out_route;
            
            private DataColumn columnline_haul1;
            
            private DataColumn columnline_haul2;
            
            private DataColumn columndelivery_route_code;
            
            private DataColumn columnprocess_status;
            
            private DataColumn columnprint_datetime;
            
            private DataColumn columnOriginDC;
            
            private DataColumn columnDestDC;
            
            private DataColumn columnswb_id;
            
            private DataColumn columndest_zipcode;
            
            private DataColumn columnact_Weight;
            
            private DataColumn columnvol_m3;
            
            private DataColumn columnservice_type;
            
            private DataColumn columnuser_id;
            
            private DataColumn columnenterprise_name;
            
            private DataColumn columnenterprise_address;
            
            private DataColumn columnreport_name_label;
            
            private DataColumn columnuser_print_id;
            
            private DataColumn columntotal_pkgs;
            
            private DataColumn columnDriverName;
            
            private DataColumn columnVehicleNumber;
            
            internal DSShippingReportDataTable() : 
                    base("DSShippingReport") {
                this.InitClass();
            }
            
            internal DSShippingReportDataTable(DataTable table) : 
                    base(table.TableName) {
                if ((table.CaseSensitive != table.DataSet.CaseSensitive)) {
                    this.CaseSensitive = table.CaseSensitive;
                }
                if ((table.Locale.ToString() != table.DataSet.Locale.ToString())) {
                    this.Locale = table.Locale;
                }
                if ((table.Namespace != table.DataSet.Namespace)) {
                    this.Namespace = table.Namespace;
                }
                this.Prefix = table.Prefix;
                this.MinimumCapacity = table.MinimumCapacity;
                this.DisplayExpression = table.DisplayExpression;
            }
            
            [System.ComponentModel.Browsable(false)]
            public int Count {
                get {
                    return this.Rows.Count;
                }
            }
            
            internal DataColumn consignment_noColumn {
                get {
                    return this.columnconsignment_no;
                }
            }
            
            internal DataColumn package_noColumn {
                get {
                    return this.columnpackage_no;
                }
            }
            
            internal DataColumn status_codeColumn {
                get {
                    return this.columnstatus_code;
                }
            }
            
            internal DataColumn scanned_in_datetimeColumn {
                get {
                    return this.columnscanned_in_datetime;
                }
            }
            
            internal DataColumn dc_out_routeColumn {
                get {
                    return this.columndc_out_route;
                }
            }
            
            internal DataColumn line_haul1Column {
                get {
                    return this.columnline_haul1;
                }
            }
            
            internal DataColumn line_haul2Column {
                get {
                    return this.columnline_haul2;
                }
            }
            
            internal DataColumn delivery_route_codeColumn {
                get {
                    return this.columndelivery_route_code;
                }
            }
            
            internal DataColumn process_statusColumn {
                get {
                    return this.columnprocess_status;
                }
            }
            
            internal DataColumn print_datetimeColumn {
                get {
                    return this.columnprint_datetime;
                }
            }
            
            internal DataColumn OriginDCColumn {
                get {
                    return this.columnOriginDC;
                }
            }
            
            internal DataColumn DestDCColumn {
                get {
                    return this.columnDestDC;
                }
            }
            
            internal DataColumn swb_idColumn {
                get {
                    return this.columnswb_id;
                }
            }
            
            internal DataColumn dest_zipcodeColumn {
                get {
                    return this.columndest_zipcode;
                }
            }
            
            internal DataColumn act_WeightColumn {
                get {
                    return this.columnact_Weight;
                }
            }
            
            internal DataColumn vol_m3Column {
                get {
                    return this.columnvol_m3;
                }
            }
            
            internal DataColumn service_typeColumn {
                get {
                    return this.columnservice_type;
                }
            }
            
            internal DataColumn user_idColumn {
                get {
                    return this.columnuser_id;
                }
            }
            
            internal DataColumn enterprise_nameColumn {
                get {
                    return this.columnenterprise_name;
                }
            }
            
            internal DataColumn enterprise_addressColumn {
                get {
                    return this.columnenterprise_address;
                }
            }
            
            internal DataColumn report_name_labelColumn {
                get {
                    return this.columnreport_name_label;
                }
            }
            
            internal DataColumn user_print_idColumn {
                get {
                    return this.columnuser_print_id;
                }
            }
            
            internal DataColumn total_pkgsColumn {
                get {
                    return this.columntotal_pkgs;
                }
            }
            
            internal DataColumn DriverNameColumn {
                get {
                    return this.columnDriverName;
                }
            }
            
            internal DataColumn VehicleNumberColumn {
                get {
                    return this.columnVehicleNumber;
                }
            }
            
            public DSShippingReportRow this[int index] {
                get {
                    return ((DSShippingReportRow)(this.Rows[index]));
                }
            }
            
            public event DSShippingReportRowChangeEventHandler DSShippingReportRowChanged;
            
            public event DSShippingReportRowChangeEventHandler DSShippingReportRowChanging;
            
            public event DSShippingReportRowChangeEventHandler DSShippingReportRowDeleted;
            
            public event DSShippingReportRowChangeEventHandler DSShippingReportRowDeleting;
            
            public void AddDSShippingReportRow(DSShippingReportRow row) {
                this.Rows.Add(row);
            }
            
            public DSShippingReportRow AddDSShippingReportRow(
                        string consignment_no, 
                        string package_no, 
                        string status_code, 
                        string scanned_in_datetime, 
                        string dc_out_route, 
                        string line_haul1, 
                        string line_haul2, 
                        string delivery_route_code, 
                        string process_status, 
                        string print_datetime, 
                        string OriginDC, 
                        string DestDC, 
                        string swb_id, 
                        string dest_zipcode, 
                        System.Double act_Weight, 
                        System.Decimal vol_m3, 
                        string service_type, 
                        string user_id, 
                        string enterprise_name, 
                        string enterprise_address, 
                        string report_name_label, 
                        string user_print_id, 
                        int total_pkgs, 
                        string DriverName, 
                        string VehicleNumber) {
                DSShippingReportRow rowDSShippingReportRow = ((DSShippingReportRow)(this.NewRow()));
                rowDSShippingReportRow.ItemArray = new object[] {
                        consignment_no,
                        package_no,
                        status_code,
                        scanned_in_datetime,
                        dc_out_route,
                        line_haul1,
                        line_haul2,
                        delivery_route_code,
                        process_status,
                        print_datetime,
                        OriginDC,
                        DestDC,
                        swb_id,
                        dest_zipcode,
                        act_Weight,
                        vol_m3,
                        service_type,
                        user_id,
                        enterprise_name,
                        enterprise_address,
                        report_name_label,
                        user_print_id,
                        total_pkgs,
                        DriverName,
                        VehicleNumber};
                this.Rows.Add(rowDSShippingReportRow);
                return rowDSShippingReportRow;
            }
            
            public System.Collections.IEnumerator GetEnumerator() {
                return this.Rows.GetEnumerator();
            }
            
            public override DataTable Clone() {
                DSShippingReportDataTable cln = ((DSShippingReportDataTable)(base.Clone()));
                cln.InitVars();
                return cln;
            }
            
            protected override DataTable CreateInstance() {
                return new DSShippingReportDataTable();
            }
            
            internal void InitVars() {
                this.columnconsignment_no = this.Columns["consignment_no"];
                this.columnpackage_no = this.Columns["package_no"];
                this.columnstatus_code = this.Columns["status_code"];
                this.columnscanned_in_datetime = this.Columns["scanned_in_datetime"];
                this.columndc_out_route = this.Columns["dc_out_route"];
                this.columnline_haul1 = this.Columns["line_haul1"];
                this.columnline_haul2 = this.Columns["line_haul2"];
                this.columndelivery_route_code = this.Columns["delivery_route_code"];
                this.columnprocess_status = this.Columns["process_status"];
                this.columnprint_datetime = this.Columns["print_datetime"];
                this.columnOriginDC = this.Columns["OriginDC"];
                this.columnDestDC = this.Columns["DestDC"];
                this.columnswb_id = this.Columns["swb_id"];
                this.columndest_zipcode = this.Columns["dest_zipcode"];
                this.columnact_Weight = this.Columns["act_Weight"];
                this.columnvol_m3 = this.Columns["vol_m3"];
                this.columnservice_type = this.Columns["service_type"];
                this.columnuser_id = this.Columns["user_id"];
                this.columnenterprise_name = this.Columns["enterprise_name"];
                this.columnenterprise_address = this.Columns["enterprise_address"];
                this.columnreport_name_label = this.Columns["report_name_label"];
                this.columnuser_print_id = this.Columns["user_print_id"];
                this.columntotal_pkgs = this.Columns["total_pkgs"];
                this.columnDriverName = this.Columns["DriverName"];
                this.columnVehicleNumber = this.Columns["VehicleNumber"];
            }
            
            private void InitClass() {
                this.columnconsignment_no = new DataColumn("consignment_no", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnconsignment_no);
                this.columnpackage_no = new DataColumn("package_no", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnpackage_no);
                this.columnstatus_code = new DataColumn("status_code", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnstatus_code);
                this.columnscanned_in_datetime = new DataColumn("scanned_in_datetime", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnscanned_in_datetime);
                this.columndc_out_route = new DataColumn("dc_out_route", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columndc_out_route);
                this.columnline_haul1 = new DataColumn("line_haul1", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnline_haul1);
                this.columnline_haul2 = new DataColumn("line_haul2", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnline_haul2);
                this.columndelivery_route_code = new DataColumn("delivery_route_code", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columndelivery_route_code);
                this.columnprocess_status = new DataColumn("process_status", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnprocess_status);
                this.columnprint_datetime = new DataColumn("print_datetime", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnprint_datetime);
                this.columnOriginDC = new DataColumn("OriginDC", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnOriginDC);
                this.columnDestDC = new DataColumn("DestDC", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnDestDC);
                this.columnswb_id = new DataColumn("swb_id", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnswb_id);
                this.columndest_zipcode = new DataColumn("dest_zipcode", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columndest_zipcode);
                this.columnact_Weight = new DataColumn("act_Weight", typeof(System.Double), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnact_Weight);
                this.columnvol_m3 = new DataColumn("vol_m3", typeof(System.Decimal), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnvol_m3);
                this.columnservice_type = new DataColumn("service_type", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnservice_type);
                this.columnuser_id = new DataColumn("user_id", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnuser_id);
                this.columnenterprise_name = new DataColumn("enterprise_name", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnenterprise_name);
                this.columnenterprise_address = new DataColumn("enterprise_address", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnenterprise_address);
                this.columnreport_name_label = new DataColumn("report_name_label", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnreport_name_label);
                this.columnuser_print_id = new DataColumn("user_print_id", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnuser_print_id);
                this.columntotal_pkgs = new DataColumn("total_pkgs", typeof(int), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columntotal_pkgs);
                this.columnDriverName = new DataColumn("DriverName", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnDriverName);
                this.columnVehicleNumber = new DataColumn("VehicleNumber", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnVehicleNumber);
            }
            
            public DSShippingReportRow NewDSShippingReportRow() {
                return ((DSShippingReportRow)(this.NewRow()));
            }
            
            protected override DataRow NewRowFromBuilder(DataRowBuilder builder) {
                return new DSShippingReportRow(builder);
            }
            
            protected override System.Type GetRowType() {
                return typeof(DSShippingReportRow);
            }
            
            protected override void OnRowChanged(DataRowChangeEventArgs e) {
                base.OnRowChanged(e);
                if ((this.DSShippingReportRowChanged != null)) {
                    this.DSShippingReportRowChanged(this, new DSShippingReportRowChangeEvent(((DSShippingReportRow)(e.Row)), e.Action));
                }
            }
            
            protected override void OnRowChanging(DataRowChangeEventArgs e) {
                base.OnRowChanging(e);
                if ((this.DSShippingReportRowChanging != null)) {
                    this.DSShippingReportRowChanging(this, new DSShippingReportRowChangeEvent(((DSShippingReportRow)(e.Row)), e.Action));
                }
            }
            
            protected override void OnRowDeleted(DataRowChangeEventArgs e) {
                base.OnRowDeleted(e);
                if ((this.DSShippingReportRowDeleted != null)) {
                    this.DSShippingReportRowDeleted(this, new DSShippingReportRowChangeEvent(((DSShippingReportRow)(e.Row)), e.Action));
                }
            }
            
            protected override void OnRowDeleting(DataRowChangeEventArgs e) {
                base.OnRowDeleting(e);
                if ((this.DSShippingReportRowDeleting != null)) {
                    this.DSShippingReportRowDeleting(this, new DSShippingReportRowChangeEvent(((DSShippingReportRow)(e.Row)), e.Action));
                }
            }
            
            public void RemoveDSShippingReportRow(DSShippingReportRow row) {
                this.Rows.Remove(row);
            }
        }
        
        [System.Diagnostics.DebuggerStepThrough()]
        public class DSShippingReportRow : DataRow {
            
            private DSShippingReportDataTable tableDSShippingReport;
            
            internal DSShippingReportRow(DataRowBuilder rb) : 
                    base(rb) {
                this.tableDSShippingReport = ((DSShippingReportDataTable)(this.Table));
            }
            
            public string consignment_no {
                get {
                    try {
                        return ((string)(this[this.tableDSShippingReport.consignment_noColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableDSShippingReport.consignment_noColumn] = value;
                }
            }
            
            public string package_no {
                get {
                    try {
                        return ((string)(this[this.tableDSShippingReport.package_noColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableDSShippingReport.package_noColumn] = value;
                }
            }
            
            public string status_code {
                get {
                    try {
                        return ((string)(this[this.tableDSShippingReport.status_codeColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableDSShippingReport.status_codeColumn] = value;
                }
            }
            
            public string scanned_in_datetime {
                get {
                    try {
                        return ((string)(this[this.tableDSShippingReport.scanned_in_datetimeColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableDSShippingReport.scanned_in_datetimeColumn] = value;
                }
            }
            
            public string dc_out_route {
                get {
                    try {
                        return ((string)(this[this.tableDSShippingReport.dc_out_routeColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableDSShippingReport.dc_out_routeColumn] = value;
                }
            }
            
            public string line_haul1 {
                get {
                    try {
                        return ((string)(this[this.tableDSShippingReport.line_haul1Column]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableDSShippingReport.line_haul1Column] = value;
                }
            }
            
            public string line_haul2 {
                get {
                    try {
                        return ((string)(this[this.tableDSShippingReport.line_haul2Column]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableDSShippingReport.line_haul2Column] = value;
                }
            }
            
            public string delivery_route_code {
                get {
                    try {
                        return ((string)(this[this.tableDSShippingReport.delivery_route_codeColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableDSShippingReport.delivery_route_codeColumn] = value;
                }
            }
            
            public string process_status {
                get {
                    try {
                        return ((string)(this[this.tableDSShippingReport.process_statusColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableDSShippingReport.process_statusColumn] = value;
                }
            }
            
            public string print_datetime {
                get {
                    try {
                        return ((string)(this[this.tableDSShippingReport.print_datetimeColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableDSShippingReport.print_datetimeColumn] = value;
                }
            }
            
            public string OriginDC {
                get {
                    try {
                        return ((string)(this[this.tableDSShippingReport.OriginDCColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableDSShippingReport.OriginDCColumn] = value;
                }
            }
            
            public string DestDC {
                get {
                    try {
                        return ((string)(this[this.tableDSShippingReport.DestDCColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableDSShippingReport.DestDCColumn] = value;
                }
            }
            
            public string swb_id {
                get {
                    try {
                        return ((string)(this[this.tableDSShippingReport.swb_idColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableDSShippingReport.swb_idColumn] = value;
                }
            }
            
            public string dest_zipcode {
                get {
                    try {
                        return ((string)(this[this.tableDSShippingReport.dest_zipcodeColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableDSShippingReport.dest_zipcodeColumn] = value;
                }
            }
            
            public System.Double act_Weight {
                get {
                    try {
                        return ((System.Double)(this[this.tableDSShippingReport.act_WeightColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableDSShippingReport.act_WeightColumn] = value;
                }
            }
            
            public System.Decimal vol_m3 {
                get {
                    try {
                        return ((System.Decimal)(this[this.tableDSShippingReport.vol_m3Column]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableDSShippingReport.vol_m3Column] = value;
                }
            }
            
            public string service_type {
                get {
                    try {
                        return ((string)(this[this.tableDSShippingReport.service_typeColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableDSShippingReport.service_typeColumn] = value;
                }
            }
            
            public string user_id {
                get {
                    try {
                        return ((string)(this[this.tableDSShippingReport.user_idColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableDSShippingReport.user_idColumn] = value;
                }
            }
            
            public string enterprise_name {
                get {
                    try {
                        return ((string)(this[this.tableDSShippingReport.enterprise_nameColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableDSShippingReport.enterprise_nameColumn] = value;
                }
            }
            
            public string enterprise_address {
                get {
                    try {
                        return ((string)(this[this.tableDSShippingReport.enterprise_addressColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableDSShippingReport.enterprise_addressColumn] = value;
                }
            }
            
            public string report_name_label {
                get {
                    try {
                        return ((string)(this[this.tableDSShippingReport.report_name_labelColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableDSShippingReport.report_name_labelColumn] = value;
                }
            }
            
            public string user_print_id {
                get {
                    try {
                        return ((string)(this[this.tableDSShippingReport.user_print_idColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableDSShippingReport.user_print_idColumn] = value;
                }
            }
            
            public int total_pkgs {
                get {
                    try {
                        return ((int)(this[this.tableDSShippingReport.total_pkgsColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableDSShippingReport.total_pkgsColumn] = value;
                }
            }
            
            public string DriverName {
                get {
                    try {
                        return ((string)(this[this.tableDSShippingReport.DriverNameColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableDSShippingReport.DriverNameColumn] = value;
                }
            }
            
            public string VehicleNumber {
                get {
                    try {
                        return ((string)(this[this.tableDSShippingReport.VehicleNumberColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableDSShippingReport.VehicleNumberColumn] = value;
                }
            }
            
            public bool Isconsignment_noNull() {
                return this.IsNull(this.tableDSShippingReport.consignment_noColumn);
            }
            
            public void Setconsignment_noNull() {
                this[this.tableDSShippingReport.consignment_noColumn] = System.Convert.DBNull;
            }
            
            public bool Ispackage_noNull() {
                return this.IsNull(this.tableDSShippingReport.package_noColumn);
            }
            
            public void Setpackage_noNull() {
                this[this.tableDSShippingReport.package_noColumn] = System.Convert.DBNull;
            }
            
            public bool Isstatus_codeNull() {
                return this.IsNull(this.tableDSShippingReport.status_codeColumn);
            }
            
            public void Setstatus_codeNull() {
                this[this.tableDSShippingReport.status_codeColumn] = System.Convert.DBNull;
            }
            
            public bool Isscanned_in_datetimeNull() {
                return this.IsNull(this.tableDSShippingReport.scanned_in_datetimeColumn);
            }
            
            public void Setscanned_in_datetimeNull() {
                this[this.tableDSShippingReport.scanned_in_datetimeColumn] = System.Convert.DBNull;
            }
            
            public bool Isdc_out_routeNull() {
                return this.IsNull(this.tableDSShippingReport.dc_out_routeColumn);
            }
            
            public void Setdc_out_routeNull() {
                this[this.tableDSShippingReport.dc_out_routeColumn] = System.Convert.DBNull;
            }
            
            public bool Isline_haul1Null() {
                return this.IsNull(this.tableDSShippingReport.line_haul1Column);
            }
            
            public void Setline_haul1Null() {
                this[this.tableDSShippingReport.line_haul1Column] = System.Convert.DBNull;
            }
            
            public bool Isline_haul2Null() {
                return this.IsNull(this.tableDSShippingReport.line_haul2Column);
            }
            
            public void Setline_haul2Null() {
                this[this.tableDSShippingReport.line_haul2Column] = System.Convert.DBNull;
            }
            
            public bool Isdelivery_route_codeNull() {
                return this.IsNull(this.tableDSShippingReport.delivery_route_codeColumn);
            }
            
            public void Setdelivery_route_codeNull() {
                this[this.tableDSShippingReport.delivery_route_codeColumn] = System.Convert.DBNull;
            }
            
            public bool Isprocess_statusNull() {
                return this.IsNull(this.tableDSShippingReport.process_statusColumn);
            }
            
            public void Setprocess_statusNull() {
                this[this.tableDSShippingReport.process_statusColumn] = System.Convert.DBNull;
            }
            
            public bool Isprint_datetimeNull() {
                return this.IsNull(this.tableDSShippingReport.print_datetimeColumn);
            }
            
            public void Setprint_datetimeNull() {
                this[this.tableDSShippingReport.print_datetimeColumn] = System.Convert.DBNull;
            }
            
            public bool IsOriginDCNull() {
                return this.IsNull(this.tableDSShippingReport.OriginDCColumn);
            }
            
            public void SetOriginDCNull() {
                this[this.tableDSShippingReport.OriginDCColumn] = System.Convert.DBNull;
            }
            
            public bool IsDestDCNull() {
                return this.IsNull(this.tableDSShippingReport.DestDCColumn);
            }
            
            public void SetDestDCNull() {
                this[this.tableDSShippingReport.DestDCColumn] = System.Convert.DBNull;
            }
            
            public bool Isswb_idNull() {
                return this.IsNull(this.tableDSShippingReport.swb_idColumn);
            }
            
            public void Setswb_idNull() {
                this[this.tableDSShippingReport.swb_idColumn] = System.Convert.DBNull;
            }
            
            public bool Isdest_zipcodeNull() {
                return this.IsNull(this.tableDSShippingReport.dest_zipcodeColumn);
            }
            
            public void Setdest_zipcodeNull() {
                this[this.tableDSShippingReport.dest_zipcodeColumn] = System.Convert.DBNull;
            }
            
            public bool Isact_WeightNull() {
                return this.IsNull(this.tableDSShippingReport.act_WeightColumn);
            }
            
            public void Setact_WeightNull() {
                this[this.tableDSShippingReport.act_WeightColumn] = System.Convert.DBNull;
            }
            
            public bool Isvol_m3Null() {
                return this.IsNull(this.tableDSShippingReport.vol_m3Column);
            }
            
            public void Setvol_m3Null() {
                this[this.tableDSShippingReport.vol_m3Column] = System.Convert.DBNull;
            }
            
            public bool Isservice_typeNull() {
                return this.IsNull(this.tableDSShippingReport.service_typeColumn);
            }
            
            public void Setservice_typeNull() {
                this[this.tableDSShippingReport.service_typeColumn] = System.Convert.DBNull;
            }
            
            public bool Isuser_idNull() {
                return this.IsNull(this.tableDSShippingReport.user_idColumn);
            }
            
            public void Setuser_idNull() {
                this[this.tableDSShippingReport.user_idColumn] = System.Convert.DBNull;
            }
            
            public bool Isenterprise_nameNull() {
                return this.IsNull(this.tableDSShippingReport.enterprise_nameColumn);
            }
            
            public void Setenterprise_nameNull() {
                this[this.tableDSShippingReport.enterprise_nameColumn] = System.Convert.DBNull;
            }
            
            public bool Isenterprise_addressNull() {
                return this.IsNull(this.tableDSShippingReport.enterprise_addressColumn);
            }
            
            public void Setenterprise_addressNull() {
                this[this.tableDSShippingReport.enterprise_addressColumn] = System.Convert.DBNull;
            }
            
            public bool Isreport_name_labelNull() {
                return this.IsNull(this.tableDSShippingReport.report_name_labelColumn);
            }
            
            public void Setreport_name_labelNull() {
                this[this.tableDSShippingReport.report_name_labelColumn] = System.Convert.DBNull;
            }
            
            public bool Isuser_print_idNull() {
                return this.IsNull(this.tableDSShippingReport.user_print_idColumn);
            }
            
            public void Setuser_print_idNull() {
                this[this.tableDSShippingReport.user_print_idColumn] = System.Convert.DBNull;
            }
            
            public bool Istotal_pkgsNull() {
                return this.IsNull(this.tableDSShippingReport.total_pkgsColumn);
            }
            
            public void Settotal_pkgsNull() {
                this[this.tableDSShippingReport.total_pkgsColumn] = System.Convert.DBNull;
            }
            
            public bool IsDriverNameNull() {
                return this.IsNull(this.tableDSShippingReport.DriverNameColumn);
            }
            
            public void SetDriverNameNull() {
                this[this.tableDSShippingReport.DriverNameColumn] = System.Convert.DBNull;
            }
            
            public bool IsVehicleNumberNull() {
                return this.IsNull(this.tableDSShippingReport.VehicleNumberColumn);
            }
            
            public void SetVehicleNumberNull() {
                this[this.tableDSShippingReport.VehicleNumberColumn] = System.Convert.DBNull;
            }
        }
        
        [System.Diagnostics.DebuggerStepThrough()]
        public class DSShippingReportRowChangeEvent : EventArgs {
            
            private DSShippingReportRow eventRow;
            
            private DataRowAction eventAction;
            
            public DSShippingReportRowChangeEvent(DSShippingReportRow row, DataRowAction action) {
                this.eventRow = row;
                this.eventAction = action;
            }
            
            public DSShippingReportRow Row {
                get {
                    return this.eventRow;
                }
            }
            
            public DataRowAction Action {
                get {
                    return this.eventAction;
                }
            }
        }
    }
}
